# Uses of Class
javax.swing.event.TreeExpansionEvent

Packages that use TreeExpansionEvent
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of TreeExpansionEvent in javax.swing

Methods in javax.swing with parameters of type TreeExpansionEvent
Modifier and Type
Method
Description
`void`
JTree.AccessibleJTree.`treeCollapsed(TreeExpansionEvent e)`
Tree Collapsed notification.
`void`
JTree.AccessibleJTree.`treeExpanded(TreeExpansionEvent e)`
Tree Model Expansion notification.

## Uses of TreeExpansionEvent in javax.swing.event

Methods in javax.swing.event with parameters of type TreeExpansionEvent
Modifier and Type
Method
Description
`void`
TreeExpansionListener.`treeCollapsed(TreeExpansionEvent event)`
Called whenever an item in the tree has been collapsed.
`void`
TreeExpansionListener.`treeExpanded(TreeExpansionEvent event)`
Called whenever an item in the tree has been expanded.
`void`
TreeWillExpandListener.`treeWillCollapse(TreeExpansionEvent event)`
Invoked whenever a node in the tree is about to be collapsed.
`void`
TreeWillExpandListener.`treeWillExpand(TreeExpansionEvent event)`
Invoked whenever a node in the tree is about to be expanded.

## Uses of TreeExpansionEvent in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type TreeExpansionEvent
Modifier and Type
Method
Description
`void`
BasicTreeUI.TreeExpansionHandler.`treeCollapsed(TreeExpansionEvent event)`
Called whenever an item in the tree has been collapsed.
`void`
BasicTreeUI.TreeExpansionHandler.`treeExpanded(TreeExpansionEvent event)`
Called whenever an item in the tree has been expanded.

## Uses of TreeExpansionEvent in javax.swing.tree

Fields in javax.swing.tree declared as TreeExpansionEvent
Modifier and Type
Field
Description
`protected TreeExpansionEvent`
ExpandVetoException.`event`
The event that the exception was created for.
Constructors in javax.swing.tree with parameters of type TreeExpansionEvent
Modifier
Constructor
Description
``
`ExpandVetoException(TreeExpansionEvent event)`
Constructs an ExpandVetoException object with no message.
``
`ExpandVetoException(TreeExpansionEvent event, String message)`
Constructs an ExpandVetoException object with the specified message.